Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class Externalsource

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.Externalsource

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class Externalsource extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="source" maxOccurs="unbounded">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-EXTERNALSOURCE" maxOccurs="unbounded"/>
                       <element name="datetime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
                       <element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                       <element name="proof" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Externalsource()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Source>`
  `getSources()`
  Gets the value of the sources property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Externalsource

    public Externalsource()

- ## Method Details

  - ### getSources

    public List<Source> getSources()
    Gets the value of the sources property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the sources property.

    For example, to add a new item, do as follows:

         getSources().add(newItem);

    Objects of the following type(s) are allowed in the list `Source`

    Returns:
      The value of the sources property.